Copy WLC Config from 2006 to 2106

Unanswered Question
Sep 18th, 2009

I've had a WLC 2006 for a while. Just purchased the WLC 2106 as an upgrade. Is it possible to copy the config of the 2006 to the 2106? I don't want to have to manually recreate the WLANs and reassociate the APs with the new controller. I have tried saving the 2006 config to a TFTP server and uploading it to the 2106, but I get an error saying file type is not supported.

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Lucien Avramov Fri, 09/18/2009 - 14:15

What versions? I suspect both are not running the same versions. XML schema version changes from a version to another.

smoore6857 Fri, 09/18/2009 - 15:18

The 2106 arrived today with IOS pre-loaded. I upgraded the 2006 today with to make sure teh IOS matches. I then saved the config after the IOS upgrade. It looks to me the only difference between the 2 is the BootLoader version, not sure if that makes any difference.

smoore6857 Fri, 09/18/2009 - 15:34

I did jsut notice there is a bootloader update available for the 2106. I didn't look for it before, I thought I read the 2106 couldn't have the bootloader updated.

"Note - You can use this command to verify the boot software version on all controllers except the 2106 because the bootloader is not upgradable on the 2106 controller."

Can you verify if this is correct as well as having a bootloader mismatch is causing my config copy issues?

Lucien Avramov Fri, 09/18/2009 - 17:03

The bootloader version does not matter at this point, its not related to the configuration. The problem is the XML file and there may be some config lines that are not compatible between the 2106 and the 2006.

If I find a way to do this, I will post it here.

smoore6857 Fri, 09/18/2009 - 17:37

I didn't think it matter, but just wanted to make sure.

Thank you for your help.

smoore6857 Mon, 09/21/2009 - 14:07

OK, i must admit I made a dumb mistake. The import of the configuration worked just fine, I just made the stupid error (repeatedly too) of selecting 'Code' instead of 'Configuration'. This is what I get for working late. Thanks again for the help and I apologize for the stupid post.


This Discussion



Trending Topics: Other Wireless Mobility

client could not be authenticated
Network Analysis Module (NAM) Products
Cisco 6500 nam
reason 440 driver failure
Cisco password cracker
Cisco Wireless mode